This repository has been archived on 2020-04-08. You can view files and clone it, but cannot push or open issues or pull requests.
install-scripts/dev-setup/nvim.sh

29 lines
704 B
Bash
Executable File

#!/bin/sh
set -e
if ! command -v yarn ; then
echo 'nvim.sh: Error - dependency `yarn` not installed'
exit 5
fi
if command -v apt-get ; then
apt-get -y install ninja-build gettext libtool libtool-bin autoconf automake cmake g++ pkg-config unzip
cd /tmp
git clone https://github.com/neovim/neovim
cd neovim
make CMAKE_BUILD_TYPE=Release
mv /tmp/neovim/runtime /usr/local/share/nvim
mv /tmp/neovim/build/bin/nvim /usr/local/bin/nvim
else
echo "Error - no package installer found."
exit 1
fi
mkdir -p /home/"$_user"/.config
cd /home/"$_user"
rm -Rf .config/nvim
su ray -c 'git clone https://git.rayelliott.dev/dots/nvim.git .config/nvim'
su ray --login -c 'yarn global add neovim'